# Uses of Record Class
org.apache.lucene.util.quantization.OptimizedScalarQuantizer.QuantizationResult

Packages that use OptimizedScalarQuantizer.QuantizationResult
Package
Description
org.apache.lucene.codecs.lucene102
Lucene 10.2 file format.
org.apache.lucene.util.quantization
Provides quantization methods for scaling vector values to smaller data types and possibly fewer dimensions

- ## Uses of OptimizedScalarQuantizer.QuantizationResult in org.apache.lucene.codecs.lucene102

  Methods in org.apache.lucene.codecs.lucene102 that return OptimizedScalarQuantizer.QuantizationResult
  Modifier and Type
  Method
  Description
  `OptimizedScalarQuantizer.QuantizationResult`
  OffHeapBinarizedVectorValues.`getCorrectiveTerms(int targetOrd)`

- ## Uses of OptimizedScalarQuantizer.QuantizationResult in org.apache.lucene.util.quantization

  Methods in org.apache.lucene.util.quantization that return OptimizedScalarQuantizer.QuantizationResult
  Modifier and Type
  Method
  Description
  `OptimizedScalarQuantizer.QuantizationResult[]`
  OptimizedScalarQuantizer.`multiScalarQuantize(float[] vector, byte[][] destinations, byte[] bits, float[] centroid)`
  Quantize the vector to the multiple bit levels.
  `OptimizedScalarQuantizer.QuantizationResult`
  OptimizedScalarQuantizer.`scalarQuantize(float[] vector, byte[] destination, byte bits, float[] centroid)`
  Quantize the vector to the given bit level.